﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SolSoft.DataBinding
{
	/// <summary>
	/// Represents a value that raises an event when it has been changed
	/// </summary>
	public interface INotifyValueChanged
	{
		/// <summary>
		/// Event fired when Value has changed
		/// </summary>
		event EventHandler<ValueChangedEventArgs> ValueChanged;
	}
}
